### Name: MarkowitzPortfolio
### Title: Markowitz Portfolio
### Aliases: MarkowitzPortfolio fPFOLIO fPFOLIO-class portfolioMarkowitz
###   frontierMarkowitz montecarloMarkowitz print.fPFOLIO plot.fPFOLIO
###   summary.fPFOLIO
### Keywords: math

### ** Examples

## SOURCE("fBasics.A0-SPlusCompatibility")
## SOURCE("fPortfolio.B2-MarkowitzPortfolio")

## Not run: 
##D ## berndtInvest -
##D    xmpPortfolio("\nStart: Load monthly data set of returns > ")
##D    data(berndtInvest)
##D    # Exclude Date, Market and Interest Rate columns from data frame,
##D    # then multiply by 100 for percentual returns ...
##D    berndtAssets = berndtInvest[, -c(1, 11, 18)]
##D    rownames(berndtAssets) = berndtInvest[, 1]
##D    head(berndtAssets)
##D    
##D ## Markowitz Portfolios:
##D    myPortfolio = portfolioMarkowitz(berndtAssets, targetReturn = 20/100/12)
##D    print(myPortfolio)
##D    pm = myPortfolio@pfolio$pm
##D    ps = myPortfolio@pfolio$ps
##D    pw = myPortfolio@pfolio$pw
##D    pfolioTargetReturn(berndtAssets, pw)
##D    pfolioTargetRisk(berndtAssets, pw)
##D    
##D    myPortfolio = portfolioMarkowitz(berndtAssets, targetReturn = 20/100/12)
##D    print(myPortfolio)
##D    pm = myPortfolio@pfolio$pm; pm
##D    ps = myPortfolio@pfolio$ps; ps
##D    pw = myPortfolio@pfolio$pw; pw
##D    pfolioTargetReturn(berndtAssets, pw)
##D    pfolioTargetRisk(berndtAssets, pw)
##D  
##D ## Plot results:
##D    plot(myPortfolio)
## End(Not run) 



